## Get user

### cURL

```bash
curl --request GET \
  --url https://demo.fabric.zone/api-commerceIdentity/user/{userId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'
```

### Python

```python
import requests

url = "https://demo.fabric.zone/api-commerceIdentity/user/{userId}"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch API)

```javascript
const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://demo.fabric.zone/api-commerceIdentity/user/{userId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://demo.fabric.zone/api-commerceIdentity/user/{userId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "x-site-context: <x-site-context>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://demo.fabric.zone/api-commerceIdentity/user/{userId}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("x-site-context", "<x-site-context>")
	req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Unirest (Java)

```java
HttpResponse<String> response = Unirest.get("https://demo.fabric.zone/api-commerceIdentity/user/{userId}")
  .header("x-site-context", "<x-site-context>")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://demo.fabric.zone/api-commerceIdentity/user/{userId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Response Structures

#### Successful Response (200)
```json
{
  "isActive": true,
  "registrationDate": "2020-04-15T10:08:04.246Z",
  "expiryDate": "2020-04-15T10:08:04.246Z",
  "roles": "customer",
  "name": {
    "first": "Pat",
    "middle": "E",
    "last": "Kake"
  },
  "phone": [
    {
      "number": "555-123-4567",
      "countryCode": "+91",
      "extenstion": "x-6789",
      "kind": "Mobile"
    }
  ],
  "email": "test@mail.com",
  "extra": {},
  "registrationSite": "XXX",
  "account": "xxxxxcxxxxxxxxxxxxxx",
  "userId": "6169b2d892a5f30009d76480",
  "address": [
    {
      "address1": "1234 Main St.",
      "city": "Houston",
      "state": "TX",
      "country": "USA",
      "zipCode": 77035,
      "email": "test@mail.com",
      "isValidated": true,
      "isDefault": true,
      "attention": "Account Manager",
      "address2": "Suite 710",
      "address3": "Floor 7",
      "company": "Acme Inc.",
      "kind": "Business",
      "phone": {
        "number": "555-123-4567",
        "kind": "Mobile"
      },
      "name": {
        "first": "Pat",
        "last": "Kake"
      }
    }
  ],
  "provider": [
    {
      "id": "6228f647a257734d91dbb49f",
      "name": "LOCAL",
      "isActive": true,
      "registrationDate": "2020-04-15T10:08:04.246Z",
      "lastLoginDate": "2020-04-15T10:08:04.246Z"
    }
  ],
  "createdAt": "2020-04-15T10:08:04.246Z",
  "updatedAt": "2020-04-15T10:08:04.246Z"
}
```

#### User Not Found Response (404)
```json
{
  "error": "USER_NOT_FOUND",
  "code": "404",
  "message": "User not found"
}
```

#### Internal Server Error Response (500)
```json
{
  "error": "INTERNAL_SERVER_ERROR",
  "code": "500",
  "message": "Internal server error"
}
```

### Authorization

- **Authorization**: `Bearer <token>`

### Headers

- **x-site-context**: JSON object that contains the source information to pull from.

### Path Parameters

- **userId**: Required User ID.

### Response Structure Fields

- **isActive**: User status (boolean).
- **registrationDate**: Registration timestamp (string).
- **expiryDate**: Expiry timestamp (string).
- **roles**: User roles (string[]).
- **name**: User's name (object).
- **phone**: User's phone details (object[]).
- **email**: User's email (string).
- **extra**: Additional user details (object).
- **registrationSite**: Registration information (string).
- **account**: Merchant account ID (string).
- **userId**: User ID (string).
- **address**: User address (object[]).
- **provider**: Additional provider details (object[]).
- **createdAt**: Creation timestamp (string).
- **updatedAt**: Last updated timestamp (string).
